Subject: Re: [PATCH v2 2/2] net: stmmac: Add Ingenic SoCs MAC support.

From: Andrew Lunn <[email-masked]>
Date: Thu, 10 Jun 2021 16:42:24 +0200

>     We are much more strict about this now than before. You have to use
>     standard units and convert to hardware values. It also makes it a lot
>     easier for DT writers, if they have an idea what the units mean.
> 
>     Having the MAC add small delays is something you can add later,
>     without breaking backwards compatibility. So if you cannot determine
>     what the units are now, just submit the glue driver without support
>     for this feature. If anybody really needs it, they can do the needed
>     research, maybe do some measurements, and then add the code.
> 
> 
> I did an experiment, when the tx delay is not set, RGMII works a

You had rgmii-id in your device tree, so that the PHY added the
delays?

	Andrew